std::timed_mutex(3)

NAME
std::timed_mutex

SYNOPSIS

#include <mutex>

Inherits __mutex_base, and __timed_mutex_impl< timed_mutex >.

  Public Types
typedef __native_type * native_handle_type

  Public Member Functions
timed_mutex (const timed_mutex &)=delete
void lock ()
native_handle_type native_handle () noexcept
timed_mutex & operator= (const timed_mutex &)=delete
bool try_lock () noexcept
template<class _Rep , class _Period > bool try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
template<class _Clock , class _Duration > bool try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
void unlock ()

  Friends
class __timed_mutex_impl< timed_mutex >

Detailed Description

The standard timed mutex type.

A non-recursive mutex that supports a timeout when trying to acquire the lock.

Since
    C++11

Author

Generated automatically by Doxygen for libstdc++ from the source code.